Bug 505293 - Review Request: kobo - python modules for tools development
Review Request: kobo - python modules for tools development
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 07:52 EDT by Daniel Mach
Modified: 2015-01-26 09:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 07:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2009-06-11 07:52:08 EDT
Spec URL: http://dan.steadynet.org/kobo.spec
SRPM URL: http://dan.steadynet.org/kobo-0.1.0-1.el5.src.rpm
(both addresses are temporary, project will be hosted on fedorahosted.org)

Description: 
Kobo is set of python modules designed for rapid tools development.
It implements hub-worker-client architecture, plugins, enhanced option parser, etc...
It is originally an internal Red Hat project which is being opensourced.
Comment 1 Marcela Mašláňová 2009-06-11 08:03:29 EDT
OK rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
? The sources used to build the package must match the upstream source.
OK successful koji compilation.
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1405135
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.
Comment 2 Marcela Mašláňová 2009-06-11 08:05:27 EDT
You should provide the source code tar ball somewhere. Because a reviewer has to check ,if srpm has matching source with upstream source.
Comment 3 Daniel Mach 2009-06-11 08:09:36 EDT
I am the upstream, latest tarball is included in the srpm.
Package will be placed on fedorahosted.org as soon as I have the project created.
Can't we skip this item in the checklist?
Comment 4 Marcela Mašláňová 2009-06-11 08:10:23 EDT
ACCEPT
Comment 5 Daniel Mach 2009-06-11 08:21:08 EDT
New Package CVS Request
=======================
Package Name: kobo
Short Description: Python modules for tools development
Owners: dmach
Branches: F11
InitialCC:
Comment 6 Jason Tibbitts 2009-06-11 13:05:22 EDT
CVS done.
Comment 7 Daniel Mach 2009-07-23 03:21:17 EDT
Package Change Request
======================
Package Name: kobo
New Branches: EL-5
Owners: dmach
Comment 8 Jason Tibbitts 2009-07-23 12:47:36 EDT
CVS done.
Comment 9 Daniel Mach 2015-01-26 06:31:48 EST
Package Change Request
======================
Package Name: kobo
New Branches: epel7
Owners: dmach
Comment 10 Gwyn Ciesla 2015-01-26 09:00:56 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.